<?php

namespace Lc\CaracoleBundle\Doctrine\Extension;

interface ProductPropertyInterface
{
    public function getBuyingPriceByRefUnit(): ?float;

    public function setBuyingPriceByRefUnit(?float $buyingPriceByRefUnit);

    public function getPriceByRefUnit(): ?float;

    public function setPriceByRefUnit(?float $priceByRefUnit);

    public function getQuantity(): ?float;

    public function setQuantity(?float $quantity);

    public function getAvailableQuantity(): ?float;

    public function setAvailableQuantity(?float $availableQuantity);

    public function getAvailableQuantityDefault(): ?float;

    public function setAvailableQuantityDefault(?float $availableQuantityDefault);

    public function getPropertyExpirationDate(): ?string;

    public function setPropertyExpirationDate(?string $propertyExpirationDate);
}
