<?php

namespace Lc\CaracoleBundle\Factory\Address;

use Lc\CaracoleBundle\Container\Address\AddressContainer;
use Lc\CaracoleBundle\Model\Address\AddressInterface;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class AddressFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): AddressInterface
    {
        $class = AddressContainer::getEntityFqcn();
        $address = new $class;

        $address->setMerchant($merchant);

        return $address;
    }

}
