<?php

namespace Lc\CaracoleBundle\Factory\Order;

use Lc\CaracoleBundle\Container\Order\OrderProductReductionCatalogContainer;
use Lc\CaracoleBundle\Model\Order\OrderProductReductionCatalogInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class OrderProductReductionCatalogFactory extends AbstractFactory
{
    public function create(string $title, float $value, string $unit, string $behaviorTaxRate): OrderProductReductionCatalogInterface
    {
        $class = OrderProductReductionCatalogContainer::getEntityFqcn();
        $orderProductReductionCatalog = new $class;

        $orderProductReductionCatalog->setTitle($title);
        $orderProductReductionCatalog->setValue($value);
        $orderProductReductionCatalog->setUnit($unit);
        $orderProductReductionCatalog->setBehaviorTaxRate($behaviorTaxRate);

        return $orderProductReductionCatalog;
    }

}
