<?php

namespace Lc\CaracoleBundle\Factory\Order;

use Lc\CaracoleBundle\Container\Order\OrderRefundContainer;
use Lc\CaracoleBundle\Model\Order\OrderRefundInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class OrderRefundFactory extends AbstractFactory
{
    public function create(): OrderRefundInterface
    {
        $class = OrderRefundContainer::getEntityFqcn();
        $orderRefund = new $class;

        return $orderRefund;
    }

}
