<?php

namespace Lc\CaracoleBundle\Factory\PointSale;

use Lc\CaracoleBundle\Container\PointSale\PointSaleContainer;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class PointSaleFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): PointSaleInterface
    {
        $class = PointSaleContainer::getEntityFqcn();
        $pointSale = new $class;


        $pointSale->addMerchant($merchant);
        $pointSale->setStatus(1);

        return $pointSale;
    }

}
