<?php

namespace Lc\CaracoleBundle\Factory\Product;

use App\Entity\Product\ProductFamilySectionProperty;
use Lc\CaracoleBundle\Container\Product\ProductFamilySectionPropertyContainer;
use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ProductFamilySectionPropertyFactory extends AbstractFactory
{

    public function create(SectionInterface $section, ProductFamilyInterface $productFamily): ProductFamilySectionProperty
    {
        $class = ProductFamilySectionPropertyContainer::getEntityFqcn();
        $productFamilySectionProperty = new $class;


        $productFamilySectionProperty->setSection($section);
        $productFamilySectionProperty->setProductFamily($productFamily);

        $productFamilySectionProperty->setStatus(0);

        return $productFamilySectionProperty;
    }

}
