<?php

namespace Lc\CaracoleBundle\Factory\Product;

use App\Entity\Product\QualityLabel;
use Lc\CaracoleBundle\Container\Product\QualityLabelContainer;
use Lc\CaracoleBundle\Model\Product\QualityLabelInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class QualityLabelFactory extends AbstractFactory
{
    public function create(): QualityLabelInterface
    {
        $class = QualityLabelContainer::getEntityFqcn();
        $qualityLabel = new $class;
        $qualityLabel->setStatus(1);

        return $qualityLabel;
    }

}
