<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCart;
use Lc\CaracoleBundle\Container\Reduction\ReductionCartContainer;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCartInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCartFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): ReductionCartInterface
    {
        $class = ReductionCartContainer::getEntityFqcn();
        $reductionCart = new $class;

        $reductionCart->setMerchant($merchant);
        $reductionCart->setStatus(1);

        return $reductionCart;
    }

}
