<?php

namespace Lc\CaracoleBundle\Model\Config;


use Lc\SovBundle\Model\User\UserInterface;


interface TaxRateInterface
{
    public function getCreatedBy(): ?UserInterface;

    public function setCreatedBy(?UserInterface $createdBy);

    public function getUpdatedBy(): ?UserInterface;

    public function setUpdatedBy(?UserInterface $updatedBy);

    public function getDevAlias(): ?string;

    public function setDevAlias(?string $devAlias);

    public function getBehaviorTaxRateChoices(): array;

    public function getTitle(): ?string;

    public function setTitle(string $title): TaxRateInterface;

    public function getValue(): ?float;

    public function setValue(float $value): TaxRateInterface;

    public function getCreatedAt(): ?\DateTimeInterface;

    public function setCreatedAt(\DateTimeInterface $createdAt);

    public function getUpdatedAt(): ?\DateTimeInterface;

    public function setUpdatedAt(\DateTimeInterface $updatedAt);
}