<?php

namespace Lc\CaracoleBundle\Model\Config;


use Lc\SovBundle\Model\User\UserInterface;


interface UnitInterface
{
    public function getCreatedBy(): ?UserInterface;

    public function setCreatedBy(?UserInterface $createdBy);

    public function getUpdatedBy(): ?UserInterface;

    public function setUpdatedBy(?UserInterface $updatedBy);

    public function getDevAlias(): ?string;

    public function setDevAlias(?string $devAlias);

    public function getCreatedAt(): ?\DateTimeInterface;

    public function setCreatedAt(\DateTimeInterface $createdAt);

    public function getUpdatedAt(): ?\DateTimeInterface;

    public function setUpdatedAt(\DateTimeInterface $updatedAt);

    public function getUnitAmountChoices(): array;

    public function getUnit(): ?string;

    public function setUnit(string $unit): UnitInterface;

    public function getWording(): ?string;

    public function setWording(string $wording): UnitInterface;

    public function getWordingUnit(): ?string;

    public function setWordingUnit(string $wordingUnit): UnitInterface;

    public function getWordingShort(): ?string;

    public function setWordingShort(string $wordingShort): UnitInterface;

    public function getCoefficient(): ?int;

    public function setCoefficient(int $coefficient): UnitInterface;

    public function getUnitReference(): ?UnitInterface;

    public function setUnitReference(?UnitInterface $unitReference);
}