<?php

namespace Lc\CaracoleBundle\Model\Order;


use Lc\CaracoleBundle\Model\Reduction\ReductionCreditInterface;

interface OrderReductionCreditInterface
{
    public function getTitle(): ?string;

    public function setTitle(string $title): OrderReductionCreditInterface;

    public function getOrderShop(): ?OrderShopInterface;

    public function setOrderShop(?OrderShopInterface $orderShop
    ): OrderReductionCreditInterface;

    public function getReductionCredit(): ?ReductionCreditInterface;

    public function setReductionCredit(?ReductionCreditInterface $reductionCredit
    ): OrderReductionCreditInterface;

    public function getType(): ?string;

    public function setType(string $type): OrderReductionCreditInterface;

    public function getValue(): ?float;

    public function setValue(?float $value): OrderReductionCreditInterface;

    public function getUnit(): ?string;

    public function setUnit(?string $unit): OrderReductionCreditInterface;

    public function getBehaviorTaxRate(): ?string;

    public function setBehaviorTaxRate(?string $behaviorTaxRate
    ): OrderReductionCreditInterface;
}