<?php

namespace Lc\CaracoleBundle\Model\Order;


use Doctrine\Common\Collections\Collection;

interface OrderStatusInterface
{
    public function getTitle(): ?string;

    public function setTitle(string $title): OrderStatusInterface;

    public function getDescription(): ?string;

    public function setDescription(?string $description): OrderStatusInterface;

    public function getNextStatusAllowed(): Collection;

    public function addNextStatusAllowed(OrderStatusInterface $nextStatusAllowed): OrderStatusInterface;

    public function removeNextStatusAllowed(OrderStatusInterface $nextStatusAllowed): OrderStatusInterface;

    public function getAlias(): ?string;

    public function setAlias(string $alias): OrderStatusInterface;

    public function getColor(): ?string;

    public function setColor(?string $color): OrderStatusInterface;
}