<?php

namespace Lc\CaracoleBundle\Doctrine\Extension;

use Doctrine\Common\Collections\Collection;
use Lc\SovBundle\Model\User\GroupUserInterface;
use Lc\SovBundle\Model\User\UserInterface;

interface ReductionPropertyInterface
{
    public function getUsers(): Collection;

    public function addUser(UserInterface $user);

    public function removeUser(UserInterface $user);

    public function getGroupUsers(): Collection;

    public function addGroupUser(GroupUserInterface $groupUser);

    public function removeGroupUser(GroupUserInterface $groupUser);

    public function getDateStart(): ?\DateTimeInterface;

    public function setDateStart(?\DateTimeInterface $dateStart);

    public function getDateEnd(): ?\DateTimeInterface;

    public function setDateEnd(?\DateTimeInterface $dateEnd);

    public function getPermanent(): ?bool;

    public function setPermanent(bool $permanent);
}
