<?php

namespace Lc\CaracoleBundle\Factory\File;

use Lc\CaracoleBundle\Container\File\DocumentContainer;
use Lc\CaracoleBundle\Model\File\DocumentInterface;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class DocumentFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant, string $type): DocumentInterface
    {
        $class = DocumentContainer::getEntityFqcn();
        $document = new $class;

        $document->setMerchant($merchant);
        $document->setType($type);
        $document->setTitle('');
        $document->setStatus(1);

        return $document;
    }

}
