<?php

namespace Lc\CaracoleBundle\Factory\Merchant;

use Lc\CaracoleBundle\Container\Merchant\MerchantContainer;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class MerchantFactory extends AbstractFactory
{
    public function create(): MerchantInterface
    {
        $class = MerchantContainer::getEntityFqcn();
        $merchant = new $class;

        $merchant->setStatus(1);

        return $merchant;
    }

}
