<?php

namespace Lc\CaracoleBundle\Factory\Newsletter;

use Lc\CaracoleBundle\Context\SectionContextTrait;
use Lc\SovBundle\Model\Newsletter\NewsletterInterface;
use Lc\SovBundle\Factory\Newsletter\NewsletterFactory as SovNewsletterFactory;

class NewsletterFactory extends SovNewsletterFactory
{
    use SectionContextTrait;

    public function create(): NewsletterInterface
    {
        $newsletter = parent::create();

        $newsletter->setSection($this->section);
        $newsletter->setStatus(1);

        return $newsletter;
    }

}
