<?php

namespace Lc\CaracoleBundle\Factory\Order;

use App\Entity\Order\OrderProductRefund;
use Lc\CaracoleBundle\Container\Order\OrderProductRefundContainer;
use Lc\CaracoleBundle\Model\Order\OrderProductRefundInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class OrderProductRefundFactory extends AbstractFactory
{
    public function create(): OrderProductRefundInterface
    {
        $class = OrderProductRefundContainer::getEntityFqcn();
        $orderProductRefund = new $class;

        return $orderProductRefund;
    }

}
