<?php

namespace Lc\CaracoleBundle\Factory\Order;


use Lc\CaracoleBundle\Container\Order\OrderStatusContainer;
use Lc\CaracoleBundle\Model\Order\OrderStatusInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class OrderStatusFactory extends AbstractFactory
{
    public function create(): OrderStatusInterface
    {
        $class = OrderStatusContainer::getEntityFqcn();
        $orderStatus = new $class;

        return $orderStatus;
    }

}
