<?php

namespace Lc\CaracoleBundle\Factory\PointSale;

use Lc\CaracoleBundle\Container\PointSale\PointSaleSectionContainer;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;
use Lc\CaracoleBundle\Model\PointSale\PointSaleSectionInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class PointSaleSectionFactory extends AbstractFactory
{

    public function create(PointSaleInterface $pointSale, SectionInterface $section): PointSaleSectionInterface
    {
        $class = PointSaleSectionContainer::getEntityFqcn();
        $pointSaleSection = new $class;

        $pointSaleSection->setPointSale($pointSale);
        $pointSaleSection->setSection($section);

        return $pointSaleSection;
    }

}
