<?php

namespace Lc\CaracoleBundle\Factory\Product;


use Lc\CaracoleBundle\Container\Product\ProductContainer;
use Lc\CaracoleBundle\Model\Product\ProductInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ProductFactory extends AbstractFactory
{
    public function create(): ProductInterface
    {
        $class = ProductContainer::getEntityFqcn();
        $product = new $class;

        return $product;
    }

}
