<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCatalog;
use Lc\CaracoleBundle\Container\Reduction\ReductionCatalogContainer;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCatalogInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCatalogFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant, int $status = 1): ReductionCatalogInterface
    {
        $class = ReductionCatalogContainer::getEntityFqcn();
        $reductionCatalog = new $class;

        $reductionCatalog->setIsDisplayed(true);
        $reductionCatalog->setMerchant($merchant);
        $reductionCatalog->setStatus($status);

        return $reductionCatalog;
    }

}
