<?php

namespace Lc\CaracoleBundle\Factory\Section;

use Lc\CaracoleBundle\Container\Section\SectionContainer;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class SectionFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): SectionInterface
    {
        $class = SectionContainer::getEntityFqcn();
        $section = new $class;

        $section->setMerchant($merchant);
        $section->setStatus(1);

        return $section;
    }

}
