<?php

namespace Lc\CaracoleBundle\Model\Order;

use Doctrine\ORM\Mapping as ORM;
use Lc\CaracoleBundle\Doctrine\Extension\OrderPayoffInterface;
use Lc\CaracoleBundle\Doctrine\Extension\OrderPayoffTrait;
use Lc\SovBundle\Doctrine\Pattern\AbstractLightEntity;

/**
 * @ORM\MappedSuperclass()
 */
abstract class OrderPaymentModel extends AbstractLightEntity implements OrderPayoffInterface, OrderPaymentInterface
{
    use OrderPayoffTrait;

    const MEAN_PAYMENT_CREDIT_CARD = 'cb';
    const MEAN_PAYMENT_CHEQUE = 'cheque';
    const MEAN_PAYMENT_CREDIT = 'credit';
    const MEAN_PAYMENT_TRANSFER = 'transfer';
    const MEAN_PAYMENT_CASH = 'cash';
    const MEAN_PAYMENT_GIFT = 'transfer-gift';

}
