<?php

namespace Lc\CaracoleBundle\Model\Order;


use Lc\CaracoleBundle\Model\Reduction\ReductionCartInterface;

interface OrderReductionCartInterface
{
    public function getTitle(): ?string;

    public function setTitle(string $title): OrderReductionCartInterface;

    public function getOrderShop(): ?OrderShopInterface;

    public function setOrderShop(?OrderShopInterface $orderShop
    ): OrderReductionCartInterface;

    public function getReductionCart(): ?ReductionCartInterface;

    public function setReductionCart(?ReductionCartInterface $reductionCart
    ): OrderReductionCartInterface;

    public function getCodeUsed(): ?string;

    public function setCodeUsed(?string $codeUsed): OrderReductionCartInterface;

    public function getFreeShipping(): ?bool;

    public function setFreeShipping(?bool $freeShipping): OrderReductionCartInterface;

    public function getAppliedTo(): ?string;

    public function setAppliedTo(string $appliedTo): OrderReductionCartInterface;

    public function getType(): ?string;

    public function setType(string $type): OrderReductionCartInterface;

    public function getValue(): ?float;

    public function setValue(?float $value): OrderReductionCartInterface;

    public function getUnit(): ?string;

    public function setUnit(?string $unit): OrderReductionCartInterface;

    public function getBehaviorTaxRate(): ?string;

    public function setBehaviorTaxRate(?string $behaviorTaxRate
    ): OrderReductionCartInterface;
}