<?php

namespace Lc\CaracoleBundle\Model\Order;


use Lc\SovBundle\Model\User\UserInterface;

interface OrderStatusHistoryInterface
{
    public function getCreatedBy(): ?UserInterface;

    public function setCreatedBy(?UserInterface $createdBy);

    public function getUpdatedBy(): ?UserInterface;

    public function setUpdatedBy(?UserInterface $updatedBy);

    public function getDevAlias(): ?string;

    public function setDevAlias(?string $devAlias);

    public function getOrderShop(): ?OrderShopInterface;

    public function setOrderShop(?OrderShopInterface $orderShop
    ): OrderStatusHistoryInterface;

    public function getOrderStatus(): ?OrderStatusInterface;

    public function setOrderStatus(?OrderStatusInterface $orderStatus
    ): OrderStatusHistoryInterface;

    public function getOrigin(): ?string;

    public function setOrigin(string $origin): OrderStatusHistoryInterface;

    public function getCreatedAt(): ?\DateTimeInterface;

    public function setCreatedAt(\DateTimeInterface $createdAt);

    public function getUpdatedAt(): ?\DateTimeInterface;

    public function setUpdatedAt(\DateTimeInterface $updatedAt);
}