<?php

namespace Lc\CaracoleBundle\Model\Section;


use Lc\SovBundle\Model\User\GroupUserInterface;

interface OpeningInterface
{
    public function getDay(): ?int;

    public function setDay(int $day): OpeningInterface;

    public function getTimeStart(): ?\DateTimeInterface;

    public function setTimeStart(?\DateTimeInterface $timeStart): OpeningInterface;

    public function getTimeEnd(): ?\DateTimeInterface;

    public function setTimeEnd(?\DateTimeInterface $timeEnd): OpeningInterface;

    public function getSection(): ?SectionInterface;

    public function setSection(?SectionInterface $section): OpeningInterface;

    public function getGroupUser(): ?GroupUserInterface;

    public function setGroupUser(?GroupUserInterface $groupUser): OpeningInterface;
}