<?php

namespace Lc\CaracoleBundle\Model\Setting;

use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Model\File\FileInterface;
use Lc\SovBundle\Model\Setting\SettingModel;

interface SectionSettingInterface
{
    public function getSection(): ?SectionInterface;

    public function setSection(?SectionInterface $section): SectionSettingInterface;

    public function getName(): ?string;

    public function setName(?string $name);

    public function getText(): ?string;

    public function setText($text);

    public function getDate(): ?\DateTimeInterface;

    public function setDate(?\DateTimeInterface $date);

    public function getFile(): ?FileInterface;

    public function setFile(?FileInterface $file);
}