<?php

namespace Lc\CaracoleBundle\Solver\Ticket;

use Lc\CaracoleBundle\Model\Ticket\TicketModel;
use Lc\SovBundle\Solver\Ticket\TicketSolver as SovTicketSolver;

class TicketSolver extends SovTicketSolver
{
    public function getTypeChoices($context = 'backend'): array
    {
        $choices = parent::getTypeChoices($context);
        $choicesProduct = [
                TicketModel::TYPE_PRODUCT_UNAVAILABLE,
                TicketModel::TYPE_PRODUCT_ERROR
        ];

        return array_merge($choices, $choicesProduct);
    }
}
